using System.ComponentModel;

namespace WCS.Entity.Protocol.RGV
{
    /// <summary>
    ///  RGV520
    /// </summary>
    /// <typeparam name="cmdType">任务类型</typeparam>
    public interface IRGV520 : IProtocol
    {
        /// <summary>
        ///  任务号
        /// </summary>
        [Description("任务号")]
        int TaskNumber { get; set; }

        /// <summary>
        /// 任务类型
        /// </summary>
        [Description("任务类型")]
        RGVCmdType CmdType { get; set; }

        /// <summary>
        /// 起始地址 环穿RGV无起始地址，只有目标地址
        /// </summary>
        [Description("起始地址 环穿RGV无起始地址，只有目标地址")]
        short StartPosition { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [Description("目标地址")]
        short DestPosition { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        short RES1 { get; set; }

        /// <summary>
        /// 备用
        /// </summary>
        [Description("备用")]
        short RES2 { get; set; }

        /// <summary>
        /// 凭证号 每次累加
        /// </summary>
        [Description("凭证号")]
        short VoucherNo { get; set; }
    }
}
